const mongoose = require("mongoose");

const RatingSchema = new mongoose.Schema(
  {
    service: {
      type: mongoose.Schema.Types.ObjectId,
      ref: "Service",
    },
    offer: {
      type: mongoose.Schema.Types.ObjectId,
      ref: "Offer",
    },
    ratedBy: {
      type: mongoose.Schema.Types.ObjectId,
      ref: "User",
    }, // User giving the rating
    ratedUser: {
      type: mongoose.Schema.Types.ObjectId,
      ref: "User",
    }, // User being rated
    rating: {
      type: Number,
      required: true,
      min: 1,
      max: 5,
    },
    review: {
      type: String,
      required: true,
    },
    status: {
      type: String,
      required: true,
    },
  },
  { timestamps: true }
);

const RatingModel = mongoose.model("Rating", RatingSchema);

module.exports = RatingModel;
