const express = require("express");

const { admin, auth } = require("../Controllers/AuthController");
const { AddValidate } = require("../utils/validators/BannerValidator");

const {
  Add,
  UploadImage,
  GetBanner,
  DeleteBanner,
  UpdateBanner,
} = require("../Controllers/BannerController");

const router = express();

router.route("/").get(auth, GetBanner).post(admin, UploadImage, Add);
router.route("/:id").put(admin, UploadImage, UpdateBanner).delete(DeleteBanner);

module.exports = router;
