const express = require("express");
const { auth } = require("../Controllers/AuthController");
const { AddServiceValidate,ServiceValidate } = require("../utils/validators/ServiceValidator");
const {
  GetServicesOfUser,
  DeleteService,
  AddService,
  MultiImages,
  GetServiceById,
  NewService,
} = require("../Controllers/ServiceController");

const router = express();

router
  .route("/")
  .get(auth, GetServicesOfUser)
  .post(auth, MultiImages, AddServiceValidate,AddService);
router.route("/new").get(auth, NewService);

router.route("/:id").get(auth,ServiceValidate,GetServiceById).put(auth,ServiceValidate,DeleteService);

module.exports = router;
