const CategoryRoute = require("./CategoryRoutes");
const ServiceRoute = require("./ServiceRoute");
const OfferRoute = require("./OfferRoute");
const AuthRoute = require("./AuthRoute");
const RatingRoute = require("./RatingRoute");
const UserRoute = require("./UserRoute");
const ChatRoute = require("./ChatRoute");
const BusinessSettingRoute = require("./BusinessSettingRoute");
const WebRoute = require("./WebRoute");
const BannerRoute = require("./BannerRoute");

const mountRoutes = (app) => {
  app.use("/api/v1/user", AuthRoute);
  app.use("/api/v1/Category", CategoryRoute);
  app.use("/api/v1/Service", ServiceRoute);
  app.use("/api/v1/Offer", OfferRoute);
  app.use("/api/v1/Review", RatingRoute);
  app.use("/api/v1/chat", ChatRoute);
  app.use("/api/v1/user/profile", UserRoute);
  app.use("/api/v1/config", BusinessSettingRoute);
  app.use("/api/v1/Banner", BannerRoute);
  app.use("/", WebRoute);
};

module.exports = mountRoutes;
