const asyncHandler = require("express-async-handler");
const dotenv = require("dotenv");

dotenv.config();

// eslint-disable-next-line import/no-extraneous-dependencies
const axios = require("axios");


exports.send = async (countryCode, mobileNumber) => {
  //const customerId = process.env.SMS_CUSTOMER_ID;
  const flowType = process.env.SMS_FLOW_TYPE;
  const otpLength = process.env.OTP_LENGTH;

  console.log("countryCode:",countryCode);
  const token = process.env.SMS_TOKEN;

  return axios.post(
    `https://cpaas.messagecentral.com/verification/v3/send?`,
    {},
    {
        params: { countryCode,otpLength,flowType, mobileNumber },
        headers: { authToken: token },
    }
  )
  .then((response) => {
    console.log("Success:", response.data);
    return response.data; // Return the response data
  })
  .catch((error) => {
    console.error("Error:", error.response ? error.response.data : error.message);
    return { success: false, error: error.response ? error.response.data : error.message };
  });
};

exports.Validate = async (verificationId, countryCode,mobileNumber, code) => { 
   
  const customerId = process.env.SMS_CUSTOMER_ID;
    // Ensure the token is a single string
    const token = process.env.SMS_TOKEN;
   
    try {
      const response = await axios.get(
        `https://cpaas.messagecentral.com/verification/v3/validateOtp?`,
        {
          params: { countryCode,mobileNumber,verificationId,customerId,code },
          headers: { authToken: token },
        }
      );
      console.log("response:", response.data);
      return response.data;
    } catch (error) {
      console.error("Error during OTP validation:", error.response ? error.response.data : error.message);
      throw error;
    }
  };



