const UserResource = require("./UserResource");


class OfferResource {
  constructor(offer) {
    this.offer = offer;
  }

  async toJSON() {
    try {
      if (!this.offer) {
        console.error("Offer is undefined or null:", this.offer);
        return null;
      }

      const userResource = this.offer.user
        ? await new UserResource(this.offer.user, "Implemented").toJSON()
        : null;

      return {
        id: this.offer._id,
        price: this.offer.price,
        description: this.offer.description,
        OfferStatus: this.offer.OfferStatus,
        userResource,
        createdAt: this.offer.createdAt,
      };
    } catch (error) {
      console.error("Error fetching offer details:", error);
      return null;
    }
  }

  static async collection(offers) {
    const promises = offers.map(async (offer) =>
      new OfferResource(offer).toJSON()
    );
    return Promise.all(promises);
  }
}

module.exports = OfferResource;
