class ReviewResource {
  constructor(reviews) {
    this.reviews = reviews;
  }

  async toJSON() {
    try {
      return {
        ratedBy: this.reviews.ratedBy['name'],
        image: this.reviews.ratedBy['image'],
        rating: this.reviews.rating,
        review: this.reviews.review,
        createdAt: this.reviews.createdAt,
      };
    } catch (error) {
      console.error("Error fetching user:", error);
      return null;
    }
  }

  static async collection(reviews) {
    const promises = reviews.map(async (review) => {
      const resource = new ReviewResource(review);
      return await resource.toJSON();
    });

    return Promise.all(promises);
  }
}

module.exports = ReviewResource;