const { check } = require("express-validator");
const mongoose = require("mongoose");
const BusinessSettingModel = require("../../models/BusinessSettingModel");

const validatorMiddleware = require("../../Middlewares/validatorMiddleware");

exports.AddValidate = [
  check("key")
    .notEmpty()
    .withMessage("Key is required")
    .custom(async (key) => {
      const existing = await BusinessSettingModel.findOne({key});
      if (existing) {
        throw new Error("Key must be unique");
      }
      return true;
    }),

  check("value").notEmpty().withMessage("Value is required"),

  validatorMiddleware,
];
